import { APIResponseObject } from "../../types";
export type APICrudPostParams<T extends {
    [key: string]: any;
} = {
    [key: string]: any;
}> = {
    dbName: string;
    tableName: string;
    body: T;
    update?: boolean;
};
export default function apiCrudPOST<T extends {
    [key: string]: any;
} = {
    [key: string]: any;
}>({ dbName, tableName, body, update, }: APICrudPostParams<T>): Promise<APIResponseObject>;
