import EJSON from "../../../../../utils/ejson";
import encrypt from "../../../../dsql/encrypt";
export default function encryptReserPasswordUrl({ email, encryptionKey, encryptionSalt, }) {
    const encryptObject = {
        email,
        createdAt: Date.now(),
    };
    const encryptStr = encrypt({
        data: EJSON.stringify(encryptObject),
        encryptionKey,
        encryptionSalt,
    });
    const defaultUrlOrigin = `https://datasquirel.com`;
    let urlOrigin = process.env.DSQL_HOST || defaultUrlOrigin;
    const url = `${defaultUrlOrigin}`;
}
