import dbHandler from "../../functions/backend/dbHandler";
export default async function noDatabaseDbHandler(queryString) {
    var _a;
    let results;
    try {
        results = await dbHandler({ query: queryString });
    }
    catch (error) {
        (_a = global.ERROR_CALLBACK) === null || _a === void 0 ? void 0 : _a.call(global, `No DB Handler Error`, error);
    }
    if (results) {
        return results;
    }
    else {
        return null;
    }
}
