import _ from "lodash";
export default function setTextFieldType(field, type) {
    const newField = _.cloneDeep(field);
    delete newField.css;
    delete newField.richText;
    delete newField.json;
    delete newField.shell;
    delete newField.html;
    delete newField.javascript;
    delete newField.yaml;
    delete newField.code;
    delete newField.defaultValueLiteral;
    if (type == "css")
        return Object.assign(Object.assign({}, newField), { css: true });
    if (type == "richText")
        return Object.assign(Object.assign({}, newField), { richText: true });
    if (type == "json")
        return Object.assign(Object.assign({}, newField), { json: true });
    if (type == "shell")
        return Object.assign(Object.assign({}, newField), { shell: true });
    if (type == "html")
        return Object.assign(Object.assign({}, newField), { html: true });
    if (type == "yaml")
        return Object.assign(Object.assign({}, newField), { yaml: true });
    if (type == "javascript")
        return Object.assign(Object.assign({}, newField), { javascript: true });
    if (type == "code")
        return Object.assign(Object.assign({}, newField), { code: true });
    return Object.assign({}, newField);
}
