import grabSQLUserNameForUser from "./grab-sql-user-name-for-user";
import grabIPAddresses from "../utils/backend/names/grab-ip-addresses";
export default function grabUserMainSqlUserName({ HOST, user, username, }) {
    const sqlUsername = grabSQLUserNameForUser(user === null || user === void 0 ? void 0 : user.id);
    const { webAppIP, maxScaleIP } = grabIPAddresses();
    const finalUsername = username || sqlUsername;
    const finalHost = HOST || maxScaleIP || "127.0.0.1";
    const fullName = `${finalUsername}@${webAppIP}`;
    return {
        username: finalUsername,
        host: finalHost,
        webHost: webAppIP,
        fullName,
        sqlUsername,
    };
}
