const TriggerTypes = [
    {
        name: "after_insert",
        value: "INSERT",
    },
    {
        name: "after_update",
        value: "UPDATE",
    },
    {
        name: "after_delete",
        value: "DELETE",
    },
];
export default function triggerSQLGen({ type, srcDbSchema, srcTableSchema, content, proceedureName, }) {
    let sql = `DELIMITER //\n`;
    sql += `CREATE PROCEDURE ${proceedureName}`;
    sql += `\nBEGIN`;
    sql += ` ${content}`;
    sql += `\nEND //`;
    sql += `\nDELIMITER\n`;
    return sql;
}
