import { AppVersions } from "../types";
export default function grabAppVersion() {
    const appVersionEnv = process.env.NEXT_PUBLIC_VERSION;
    const finalAppVersion = (appVersionEnv ||
        "community");
    const targetAppVersion = AppVersions.find((version) => version.value === finalAppVersion);
    if (!targetAppVersion) {
        throw new Error(`Invalid App Version: ${finalAppVersion}`);
    }
    return targetAppVersion;
}
